Dashboard
List customers
List customers.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Query Parameters
page?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= value <= 200Default
25segment?string|null
daypart?string|null
merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/customers"{ "data": { "items": [ { "acquisition_channel": "string", "avg_order_value": 0, "external_ref": "string", "first_order_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_opted_in": true, "last_order_at": "2019-08-24T14:15:22Z", "masked_phone": "string", "name": "string", "preferred_daypart": "string", "recency_days": 0, "segment": "string", "total_orders": 0, "total_spend": 0 } ], "pagination": { "has_next": false, "has_previous": false, "page": 1, "page_size": 25, "total": 0, "total_pages": 0 } }, "meta": {}, "success": true}